# coding: utf-8
NODES = 1

Vagrant.configure("2") do |config|
  config.vm.box = "bento/ubuntu-18.04"
  config.vm.box_check_update = false

  if Vagrant.has_plugin?('vagrant-vbguest')
    # config.vbguest.auto_update = false
    config.vbguest.auto_update = true
  end

  # config.vm.synced_folder '.', '/vagrant', disabled: true
  config.vm.synced_folder '.', '/vagrant', type: 'virtualbox'

  config.ssh.forward_agent = true
  NODES.times do |i|
    config.vm.define "vm#{i + 1}" do |target|

      target.vm.hostname = "vm#{i + 1}"
      # target.vm.hostname = "vm#{i + 1}.nekonaq.com"

      # target.vm.network 'private_network', ip: "192.168.56.#{100 + i}"

      # target.vm.network 'public_network', bridge: 'eno1',
      #                   auto_config: true

      target.vm.provider :virtualbox do |vbconf|
        vbconf.name = "vm#{i + 1}"
        vbconf.memory = '2048'

        vbconf.customize ['modifyvm', :id, '--graphicscontroller', 'vboxsvga']
        vbconf.customize ['modifyvm', :id, '--vram', '128']

        # vbconf.customize ['modifyvm', :id, '--vrde', 'on']
        # vbconf.customize ['modifyvm', :id, '--vrdeaddress', '0.0.0.0']
        # vbconf.customize ['modifyvm', :id, '--vrdeport', '#{5976 + i}']
      end
    end
  end
end

# Local Variables:
# mode: ruby
# End:
